" Set up tabs
setlocal expandtab
setlocal tabstop=8
setlocal shiftwidth=4
setlocal softtabstop=4

" Set up text width
setlocal textwidth=0

" Set up format options
"   c - Auto-wrap comments using textwidth
"   r - Automatically insert the current comment leader after hitting <Enter>
"       in Insert mode
"   o - Automatically insert the current comment leader after hitting 'o' or
"       'O' in Normal mode.
setlocal formatoptions+=cro

" Highlight erroneous tabs
syn match pythonTabError '\t\+'
hi pythonTabError ctermbg=red guibg=red

" Set up file encoding
setlocal encoding=utf-8

" Set up file format
setlocal fileformat=unix
let g:python_highlight_all=1
